Source: urlextractor
Section: net
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-exec
Standards-Version: 4.5.1
Homepage: https://github.com/eschultze/URLextractor
Vcs-Git: https://salsa.debian.org/debian/urlextractor.git
Vcs-Browser: https://salsa.debian.org/debian/urlextractor
Rules-Requires-Root: no

Package: urlextractor
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
 bc,
 curl,
 dnsutils,
 libxml2-utils,
 whois,
 lynx,
 openssl,
 tldextract
Description: Information gathering and website reconnaissance
 urlextractor gathers information from the specified URL and prints it to STDOUT
 gathering the following information:
  - IP and hosting info like city and country (using FreegeoIP)
  - DNS servers (using dig)
  - ASN, Network range, ISP name (using RISwhois)
  - Load balancer test
  - Whois for abuse mail (using Spamcop)
  - PAC (Proxy Auto Configuration) file
  - Compares hashes to diff code
  - robots.txt (recursively looking for hidden stuff)
  - Source code (looking for passwords and users)
  - External links (frames from other websites)
  - Directory FUZZ (like Dirbuster and Wfuzz - using Dirbuster) directory list)
  - URLvoid API - checks Google page rank, Alexa rank and possible blacklists
  - Provides useful links at other websites to correlate with IP/ASN
  - Option to open ALL results in browser at the end
